Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159872 - CAN-2005-1766 HelixPlayer heap overflow
Summary: CAN-2005-1766 HelixPlayer heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: HelixPlayer
Version: 3
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard: public=20050623,impact=critical,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 18:42 UTC by Josh Bressers
Modified: 2013-03-13 04:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-26 01:33:37 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-08 18:42:52 UTC
+++ This bug was initially created as a clone of Bug #159871 +++

This vulnerability involved a complex interaction between a maliciously created
SMIL file and specifically crafted web server caused a heap overflow in the
error message processing for RealText which could have allowed an attacker to
execute arbitrary code on a customer's machine.

This issue also affects HelixPlayer

Comment 1 Josh Bressers 2005-06-08 18:45:42 UTC
This issue will have to be fixed in FC4 as well.

Comment 2 John (J5) Palmieri 2005-06-10 17:04:43 UTC
RHEL-4 built and symlinked
HelixPlayer-1.0.5-0.EL4.1

Comment 3 John (J5) Palmieri 2005-06-13 18:12:10 UTC
FC-3 & 4 build.  I will have Colin push these as I will be away when the embargo
is lifted. 


Note You need to log in before you can comment on or make changes to this bug.